%define major		0
%define libname		%mklibname synfigapp %{major}
%define develname	%mklibname synfigapp -d

Name:		synfigstudio
Summary:	Vector-based 2D animation GUI
Version:	0.63.02
Release:	%mkrel 1
Source0:	http://downloads.sourceforge.net/synfig/%{name}-%{version}.tar.gz
URL:		http://www.synfig.org
License:	GPLv2+
Group:		Graphics
BuildRequires:	etl-devel >= 0.04.14
BuildRequires:	synfig-devel >= 0.63.00
BuildRequires:	synfig
BuildRequires:	gtkmm2.4-devel
BuildRequires:	sigc++2.0-devel
BuildRequires:	libltdl-devel
BuildRequires:	gettext-devel
BuildRequires:	cvs
BuildRequires:	desktop-file-utils
Requires:	synfig

%description
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the graphical user interface for synfig.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the shared library provided by synfigstudio.

%package -n %{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/C++
Provides:	synfigapp-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the development files for the shared library
provided by synfigstudio.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--disable-update-mimedb
%make
								
%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

sed -i -e 's,synfig_icon.png,synfig_icon,g' %{buildroot}%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --add-category="GTK" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# we don' want these
rm -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README NEWS TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/synfig_icon.*
%{_datadir}/mime-info/%{name}.*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/%{name}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libsynfigapp.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libsynfigapp.so
%{_includedir}/synfigapp-0.0



%changelog
* Sun Oct 09 2011 Andrey Bondrov <abondrov@mandriva.org> 0.63.02-1mdv2012.0
+ Revision: 703863
- New version 0.63.02

* Thu Jun 16 2011 Jani Välimaa <wally@mandriva.org> 0.62.02-2
+ Revision: 685623
- require synfig

* Tue Apr 19 2011 Jani Välimaa <wally@mandriva.org> 0.62.02-1
+ Revision: 655894
- new version 0.62.02
- rediff patch
- drop support for old mdv releases

* Wed Dec 08 2010 Funda Wang <fwang@mandriva.org> 0.62.00-2mdv2011.0
+ Revision: 615914
- fix build with gcc 4.5

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.62.00-1mdv2010.1
+ Revision: 492195
- New version 0.62.00

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Oct 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.61.09-4mdv2009.1
+ Revision: 298096
- bump release for backports to get through bs
- move the icon fix before desktop-file-install gets run...

* Tue Oct 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.61.09-3mdv2009.1
+ Revision: 298074
- fix icon name not to include extension in .desktop file

* Tue Oct 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.61.09-2mdv2009.1
+ Revision: 297999
- add GTK and CrossDesktop categories to menu entry

* Mon Oct 27 2008 Adam Williamson <awilliamson@mandriva.org> 0.61.09-1mdv2009.1
+ Revision: 297528
- import synfigstudio


